cURL
curl -X PATCH "https://api.pikzels.com/v2/pikzonality/18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234" \
-H "X-Api-Key: pkz_yourapikey" \
-H "Content-Type: application/json" \
--data-raw '{
"special_instructions": "Use cinematic colors and stronger contrast."
}'import requests
url = "https://api.pikzels.com/v2/pikzonality/18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234"
headers = {
"X-Api-Key": "pkz_yourapikey",
"Content-Type": "application/json",
}
payload = {
"special_instructions": "Use cinematic colors and stronger contrast."
}
response = requests.patch(url, headers=headers, json=payload)
print(response.json())const url = "https://api.pikzels.com/v2/pikzonality/18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234";
const body = {
"special_instructions": "Use cinematic colors and stronger contrast."
};
const options = {
method: "PATCH",
headers: {
"X-Api-Key": "pkz_yourapikey",
"Content-Type": "application/json",
},
body: JSON.stringify(body),
};
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
{
"name": "Creator Studio",
"id": "18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234",
"special_instructions": "Use cinematic colors and stronger contrast."
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}Pikzonalities
Update persona or style
Update special instructions for a persona or style.
PATCH
/
v2
/
pikzonality
/
{id}
cURL
curl -X PATCH "https://api.pikzels.com/v2/pikzonality/18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234" \
-H "X-Api-Key: pkz_yourapikey" \
-H "Content-Type: application/json" \
--data-raw '{
"special_instructions": "Use cinematic colors and stronger contrast."
}'import requests
url = "https://api.pikzels.com/v2/pikzonality/18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234"
headers = {
"X-Api-Key": "pkz_yourapikey",
"Content-Type": "application/json",
}
payload = {
"special_instructions": "Use cinematic colors and stronger contrast."
}
response = requests.patch(url, headers=headers, json=payload)
print(response.json())const url = "https://api.pikzels.com/v2/pikzonality/18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234";
const body = {
"special_instructions": "Use cinematic colors and stronger contrast."
};
const options = {
method: "PATCH",
headers: {
"X-Api-Key": "pkz_yourapikey",
"Content-Type": "application/json",
},
body: JSON.stringify(body),
};
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
{
"name": "Creator Studio",
"id": "18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234",
"special_instructions": "Use cinematic colors and stronger contrast."
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}Authorizations
Your Pikzels API key (prefix: pkz_)
Path Parameters
Body
application/json
Appended to prompts during generation
Maximum string length:
300⌘I
